LiVES 2.4.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
paramspecial.c File Reference
`#include "../libweed/weed.h"`
`#include "../libweed/weed-palettes.h"`
`#include "../libweed/weed-host.h"`
`#include "main.h"`
`#include "resample.h"`
`#include "effects.h"`
`#include "support.h"`
`#include "paramwindow.h"`
`#include "framedraw.h"`

## Functions
void | init_special (void)
void | add_to_special (const char *sp_string, lives_rfx_t *rfx)
void | fd_tweak (lives_rfx_t *rfx)
void | fd_connect_spinbutton (lives_rfx_t *rfx)
void | check_for_special (lives_rfx_t *rfx, lives_param_t *param, LiVESBox *pbox)
void | after_aspect_width_changed (LiVESSpinButton *spinbutton, livespointer user_data)
void | after_aspect_height_changed (LiVESToggleButton *spinbutton, livespointer user_data)
void | special_cleanup (void)
void | set_aspect_ratio_widgets (lives_param_t *w, lives_param_t *h)
void | setmergealign (void)
LiVESPixbuf * | mt_framedraw (lives_mt *mt, LiVESPixbuf *pixbuf)
boolean | is_perchannel_multi (lives_rfx_t *rfx, int i)

## Function Documentation

void add_to_special | ( | const char * | sp_string,
|  | lives_rfx_t * | rfx
| ) |  |

void after_aspect_height_changed | ( | LiVESToggleButton * | spinbutton,
|  | livespointer | user_data
| ) |  |

void after_aspect_width_changed | ( | LiVESSpinButton * | spinbutton,
|  | livespointer | user_data
| ) |  |

void check_for_special | ( | lives_rfx_t * | rfx,
|  | lives_param_t * | param,
|  | LiVESBox * | pbox
| ) |  |

void fd_connect_spinbutton | ( | lives_rfx_t * | rfx | ) |

void fd_tweak | ( | lives_rfx_t * | rfx | ) |

void init_special | ( | void |  | ) |

boolean is_perchannel_multi | ( | lives_rfx_t * | rfx,
|  | int | i
| ) |  |

LiVESPixbuf* mt_framedraw | ( | lives_mt * | mt,
|  | LiVESPixbuf * | pixbuf
| ) |  |

void set_aspect_ratio_widgets | ( | lives_param_t * | w,
|  | lives_param_t * | h
| ) |  |

void setmergealign | ( | void |  | ) |

void special_cleanup | ( | void |  | ) |